using OpenTK.Mathematics;

namespace DoomDeathmatch.Component.MVC.Model.Enemy.Movement;

public class FollowPlayerMovementBehavior(float parRadius) : IMovementBehavior
{
  public Vector3 GetNextPosition(Vector3 parPosition, Vector3 parPlayerPosition)
  {
    var direction = (parPosition - parPlayerPosition).Normalized();
    return parPlayerPosition + parRadius * direction;
  }
}